// Set this to be the correct URL for the required image.
//var swivelUrl = "https://citriximage.swivelsecure.com/proxy/SCImage?username=";
var swivelUrl = "https://citriximage.swivelsecure.com/proxy/";
// Set this to "turing" or "pinpad". Anything else will result in no image.
var swivelImageType = "pinpad";
// Set this to the ID of the password field to populate: "passwd" or "passwd1"
var pinpadField = "passwd1";

function addSwivelCustom(form, enter_user, field_login) {
	// Swivel changes to login page.

	var url_div = $("<div></div>").attr({"id":"SwivelUrl","style":"display:none"});
	if (swivelUrl) {
		url_div.append(swivelUrl);
	}
	
	if (swivelImageType == "turing") {
		// Set the onblur even for the username field.
		enter_user.blur(function(){showTuring();});
		
		var turing_button = $("<input></input>").attr({"id":"New_Turing","type":"button","value":"Show Image"}).addClass("custombutton turingButton").click(function(){showTuring();});
		var turing_button_div = $("<div></div>").addClass("turingDiv").append(turing_button);
		var turing_image = $("<img id='imgTuring' src='' />").addClass("turingHidden");
		var turing_div = $("<div></div").append(turing_image);

		// Insert image button.
		field_login.append(turing_button_div);
		field_login.append(url_div);
		
		// Swivel add TURing div.
		form.append(turing_div);
	} else if (swivelImageType == "pinpad") {
		enter_user.blur(function(){showPinpad();});

		var refresh_button = $("<input></input>").attr({"id":"Refresh_Pinpad","type":"button","value":"Refresh"}).addClass("custombutton turingButton").click(function(){showPinpad();});
		var pinpad_button_div = $("<div></div>").addClass("turingDiv").append(refresh_button);

		// Insert image button.
		field_login.append(pinpad_button_div);
		field_login.append(url_div);

		var pinpad1 = $("<img />").attr({"id":"pinpad1","src":"/vpn/images/pinpadBlank.png"}).addClass("pinpadImage").click(function(){addPinpadDigit('1');});
		var pinpad2 = $("<img />").attr({"id":"pinpad2","src":"/vpn/images/pinpadBlank.png"}).addClass("pinpadImage").click(function(){addPinpadDigit('2');});
		var pinpad3 = $("<img />").attr({"id":"pinpad3","src":"/vpn/images/pinpadBlank.png"}).addClass("pinpadImage").click(function(){addPinpadDigit('3');});
		var pinpad4 = $("<img />").attr({"id":"pinpad4","src":"/vpn/images/pinpadBlank.png"}).addClass("pinpadImage").click(function(){addPinpadDigit('4');});
		var pinpad5 = $("<img />").attr({"id":"pinpad5","src":"/vpn/images/pinpadBlank.png"}).addClass("pinpadImage").click(function(){addPinpadDigit('5');});
		var pinpad6 = $("<img />").attr({"id":"pinpad6","src":"/vpn/images/pinpadBlank.png"}).addClass("pinpadImage").click(function(){addPinpadDigit('6');});
		var pinpad7 = $("<img />").attr({"id":"pinpad7","src":"/vpn/images/pinpadBlank.png"}).addClass("pinpadImage").click(function(){addPinpadDigit('7');});
		var pinpad8 = $("<img />").attr({"id":"pinpad8","src":"/vpn/images/pinpadBlank.png"}).addClass("pinpadImage").click(function(){addPinpadDigit('8');});
		var pinpad9 = $("<img />").attr({"id":"pinpad9","src":"/vpn/images/pinpadBlank.png"}).addClass("pinpadImage").click(function(){addPinpadDigit('9');});
		var pinpad0 = $("<img />").attr({"id":"pinpad0","src":"/vpn/images/pinpadBlank.png"}).addClass("pinpadImage").click(function(){addPinpadDigit('0');});

		var pinpad_top = $("<div></div>").addClass("divPinpadTop").append(pinpad1,pinpad2,pinpad3);
		var pinpad_middle = $("<div></div>").addClass("divPinpadMiddle").append(pinpad4,pinpad5,pinpad6,pinpad7);
		var pinpad_bottom = $("<div></div>").addClass("divPinpadBottom").append(pinpad8,pinpad9,pinpad0);
		
		var pinpad_div = $("<div></div>").addClass("pinpadHidden").attr("id","divPinpad").append(pinpad_top,pinpad_middle,pinpad_bottom);
		
		form.append(pinpad_div);
	}		
}

function showTuring() {
	sUser = document.getElementsByName("login")[0].value;
	if (sUser!="") {
 
		//Find the image using Mozilla compatible pproach...
		varImg = document.getElementById("imgTuring");
		
		var urlDiv = document.getElementById("SwivelUrl");
		var swivelUrl = "./";
		if (urlDiv) {
			swivelUrl = urlDiv.textContent;
		}
		swivelUrl += "/SCImage?username=";
 
		//Set the image SRC and make it visible
		varImg.src = swivelUrl + sUser + "&random=" + Math.round(Math.random()*100000);
 
		varImg.className = "pinpadVisible";
	}
 
}

function showPinpad() {
	sUser = document.getElementsByName("login")[0].value;
	if (sUser!="") {
 
		// Find the image using Mozilla compatible approach...
		var divPinpad = document.getElementById("divPinpad");
		divPinpad.className = "pinpadVisible";
		
		var urlDiv = document.getElementById("SwivelUrl");
		var swivelUrl = "./";
		if (urlDiv) {
			swivelUrl = urlDiv.textContent;
		}
		swivelUrl += "/SCPinPad?username=";
 
		//Set the image SRC and make it visible
		var padno = Math.round(Math.random()*100000);
		for (idx=0; idx<10; idx++) {
			var digit = document.getElementById("pinpad" + idx);
			digit.src = swivelUrl + sUser + "&padno=" + padno + ":" + idx;
		}
 
	}
}

function addPinpadDigit(digit) {
	sOtc = document.getElementById(pinpadField);
	sOtc.value += digit;
}

